Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(324)

Issue 2896533002: cros: Simple password view for lock. Adds test support. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by jdufault
Modified:
3 months, 1 week ago
Reviewers:
xiyuan, James Cook
CC:
chromium-reviews, kalyank, sadrul
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

cros: Simple password view for lock. Adds test support. This CL primarily adds test support code; the password view is still WIP. BUG=719015 Review-Url: https://codereview.chromium.org/2896533002 Cr-Commit-Position: refs/heads/master@{#478758} Committed: https://chromium.googlesource.com/chromium/src/+/d979ce246d8afa995c88357c2a5288702e6d032f

Patch Set 1 : Initial upload #

Total comments: 24

Patch Set 2 : Rebase #

Patch Set 3 : Address comments #

Patch Set 4 : Address comment #

Total comments: 14

Patch Set 5 : Address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+432 lines, -0 lines) Patch
M ash/BUILD.gn View 1 2 3 3 chunks +6 lines, -0 lines 0 comments Download
A ash/login/ui/login_password_view.h View 1 2 3 4 1 chunk +75 lines, -0 lines 0 comments Download
A ash/login/ui/login_password_view.cc View 1 2 3 4 1 chunk +132 lines, -0 lines 0 comments Download
A ash/login/ui/login_password_view_test.cc View 1 2 3 4 1 chunk +109 lines, -0 lines 0 comments Download
A ash/login/ui/login_test_base.h View 1 2 1 chunk +44 lines, -0 lines 0 comments Download
A ash/login/ui/login_test_base.cc View 1 2 1 chunk +60 lines, -0 lines 0 comments Download
M ash/system/tray/size_range_layout.h View 1 chunk +3 lines, -0 lines 0 comments Download
M ash/system/tray/size_range_layout.cc View 1 chunk +3 lines, -0 lines 0 comments Download
Trybot results:  linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   ios-device   linux_chromium_tsan_rel_ng   ios-simulator   cast_shell_linux   chromium_presubmit   win_chromium_rel_ng   android_n5x_swarming_rel   mac_chromium_rel_ng   android_clang_dbg_recipe   win_clang   mac_chromium_compile_dbg_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   cast_shell_android   android_arm64_dbg_recipe   linux_android_rel_ng   linux_chromium_headless_rel   win_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   android_compile_dbg   ios-simulator-xcode-clang   ios-device-xcode-clang   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   win_chromium_x64_rel_ng   android_cronet   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_tsan_rel_ng   ios-device   ios-simulator   chromium_presubmit   cast_shell_linux   win_chromium_rel_ng   android_n5x_swarming_rel   mac_chromium_rel_ng   android_clang_dbg_recipe   mac_chromium_compile_dbg_ng   win_clang   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   cast_shell_android   android_arm64_dbg_recipe   linux_android_rel_ng   linux_chromium_headless_rel   win_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   ios-simulator-xcode-clang   android_compile_dbg   ios-device-xcode-clang   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   android_cronet   win_chromium_x64_rel_ng 
Commit queue not available (can’t edit this change).

Depends on Patchset:

Messages

Total messages: 57 (47 generated)
jdufault
jamescook@, xiyuan@, PTAL. The whole point of this CL is to establish a test fixture ...
3 months, 4 weeks ago (2017-05-24 19:05:11 UTC) #22
xiyuan
https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc File ash/login/ui/login_password_view.cc (right): https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc#newcode24 ash/login/ui/login_password_view.cc:24: const int kSubmitButtonWidthDp = 20; nit: const -> constexpr ...
3 months, 4 weeks ago (2017-05-24 20:11:03 UTC) #23
jdufault
https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc File ash/login/ui/login_password_view.cc (right): https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc#newcode24 ash/login/ui/login_password_view.cc:24: const int kSubmitButtonWidthDp = 20; On 2017/05/24 20:11:02, xiyuan ...
3 months, 2 weeks ago (2017-06-07 18:09:14 UTC) #37
xiyuan
https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc File ash/login/ui/login_password_view.cc (right): https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc#newcode76 ash/login/ui/login_password_view.cc:76: textfield_->SetLayoutManager(new views::FillLayout()); On 2017/06/07 18:09:13, jdufault wrote: > On ...
3 months, 2 weeks ago (2017-06-07 18:19:59 UTC) #38
jdufault
https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc File ash/login/ui/login_password_view.cc (right): https://codereview.chromium.org/2896533002/diff/60001/ash/login/ui/login_password_view.cc#newcode76 ash/login/ui/login_password_view.cc:76: textfield_->SetLayoutManager(new views::FillLayout()); On 2017/06/07 18:19:59, xiyuan wrote: > On ...
3 months, 2 weeks ago (2017-06-08 00:11:34 UTC) #41
xiyuan
lgtm
3 months, 2 weeks ago (2017-06-08 15:27:04 UTC) #44
James Cook
LGTM with nits https://codereview.chromium.org/2896533002/diff/170001/ash/login/ui/login_password_view.cc File ash/login/ui/login_password_view.cc (right): https://codereview.chromium.org/2896533002/diff/170001/ash/login/ui/login_password_view.cc#newcode23 ash/login/ui/login_password_view.cc:23: constexpr int kSubmitButtonWidthDp = 20; optional: ...
3 months, 2 weeks ago (2017-06-08 17:26:32 UTC) #45
jdufault
https://codereview.chromium.org/2896533002/diff/170001/ash/login/ui/login_password_view.cc File ash/login/ui/login_password_view.cc (right): https://codereview.chromium.org/2896533002/diff/170001/ash/login/ui/login_password_view.cc#newcode23 ash/login/ui/login_password_view.cc:23: constexpr int kSubmitButtonWidthDp = 20; On 2017/06/08 17:26:31, James ...
3 months, 2 weeks ago (2017-06-08 23:12:33 UTC) #46
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2896533002/190001
3 months, 1 week ago (2017-06-12 19:15:50 UTC) #54
commit-bot: I haz the power
3 months, 1 week ago (2017-06-12 21:00:29 UTC) #57
Message was sent while issue was closed.
Committed patchset #5 (id:190001) as
https://chromium.googlesource.com/chromium/src/+/d979ce246d8afa995c88357c2a52...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b